import { App } from "vue";
import VueKonva from "vue-konva";
import { createPinia } from "pinia";

const installApps = new WeakSet<App>();
export const install = (app: App) => {
  if (installApps.has(app)) return;
  app.use(VueKonva);
  app.use(createPinia());
  installApps.add(app);
};
